Subject: RE: Authentication in draft-ietf-idr-bgp4-18.txt - resend

From: "Gray, Eric" <[email-masked]>
Date: Thu, 21 Nov 2002 11:36:38 -0500

Jeffrey,

	The big sticking point is over whether or not RFC
1264 actually states that a routing protocol must explicitly
require support of some authentication mechanism.  Completely
independent of the precise wording of RFC 1264, don't you
agree that any authentication mechanism we might talk about
will only work if it is implemented by cooperating systems?

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]
508 305 7214

> -----Original Message-----
> From: Jeffrey Haas [mailto:[email-masked]]
> Sent: Thursday, November 21, 2002 10:20 AM
> To: Alex Zinin
> Cc: [email-masked]
> Subject: Re: Authentication in draft-ietf-idr-bgp4-18.txt - resend
> 
> On Thu, Nov 21, 2002 at 10:01:21AM -0500, Alex Zinin wrote:
> >  What I was trying to say is that 1264 requires an
> >  authentication scheme (also expected during the IESG
> >  review, btw) for a routing proto spec to be advanced,
> 
> The point I was trying to ask - perhaps too obtusely - is that
> TCP MD5 is not a bgp authentication mechanism.  Is it sufficient
> to secure the transport stream to satisfy this requirement?
> 
> The requirement states:
> "The security architecture must include mechanisms for authenticating
>  routing messages and may include other forms of protection."
> 
> I don't know how this has been traditionally interpreted.
> 
> > Alex
> 
> --
> Jeff Haas
> NextHop Technologies